Bug 1843234 - Unable to create Windows VM's with Mozilla Firefox version 74.0.1 and greater for RHV-M GUI/Webadmin portal
Summary: Unable to create Windows VM's with Mozilla Firefox version 74.0.1 and greater...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.9
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.4.2
: 4.4.2
Assignee: Lucia Jelinkova
QA Contact: Ivana Saranova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-02 20:41 UTC by Bimal Chollera
Modified: 2020-09-23 16:12 UTC (History)
5 users (show)

Fixed In Version: ovirt-engine-4.4.2.1
Doc Type: Bug Fix
Doc Text:
Before this update, when using Firefox 74.0.1 and greater with Autofill enabled, the Administration Portal password was used to autofill the Sysprep Administrator password field in the *Initial Run* tab of the *Run Virtual Machine(s)* dialog. Validation of the dialog failed because the password did not match the *Verify admin password* field, which was not autofilled. This issue has been resolved, and the browser no longer uses Autofill for the Sysprep admin password field.
Clone Of:
Environment:
Last Closed: 2020-09-23 16:11:10 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3807 0 None None None 2020-09-23 16:12:06 UTC
oVirt gerrit 110095 0 master MERGED webadmin: Disable autocomplete for vm password fields 2021-01-13 13:26:22 UTC

Description Bimal Chollera 2020-06-02 20:41:07 UTC
Description of problem:

Unable to create Windows VM's with Mozilla Firefox version 74.0.1 and greater.
In the "New Virtual Machine" pane the "Initial Run" will be highlight with red.

Tested the following versions

~~~
70.0.1 	- Works
71.0	- Works
72.0.2  - Works
73.0.1  - Works
74.0.1  - Fails - Initial Run is Red
75.0	- Fails - Initial Run is Red
76.0.1	- Fails - Initial Run is Red
77.0 	- Fails - Initial Run is Red
~~~


Version-Release number of selected component (if applicable):

RHV-M 4.3.9

How reproducible:

100%

Steps to Reproduce:

1.  Ensure you have Mozilla Firefox verion 74.0.1 and greater installed.
2.  Using Firefox, log into the RHV-M UI/Webadmin portal.
3.  Compute -> Virtual Machines -> Click New.
    Select Cluster
    Operating System 'Windows 2016 x64'
    Assign a Name, Create Instance Image (Disk) and vNIC profile
    click OK.

    Initial Run will be in Red and VM will not be created.

Actual results:

VM creation fails.

Expected results:

VM should be created.

Additional info:

Comment 2 Michal Skrivanek 2020-06-08 11:10:25 UTC
please switch to that Initial Run ta and check what's highlighted in red, it's probably failing validation

Comment 5 Michal Skrivanek 2020-06-09 07:32:33 UTC
I don't reproduce this with 76.0.1

please attach ui.log and/or add more details. e.g. does it happen for non-windows os, any other special setting?

Comment 11 Sharon Gratch 2020-06-18 12:43:10 UTC
(In reply to Bimal Chollera from comment #10)
>  
> Started with VM create of Blank template with Operating System 'Windows 2016
> x64'
> Clicked on Initial Run and checked the 'Use Cloud-init/Sysprep box
> The VM hostname is filled with the name
> The Domain field has domain name.
> 
Can you please attach a screenshot of this Initial Run tab with checking the "Use Cloud-Init/Sysprep" box?
I guess that something is wrong with the validation of the VM name (maybe it contains more than 15 chars) or the domain.

Comment 14 Bimal Chollera 2020-06-18 16:26:58 UTC
I expanded > Admin Passord, > Custom Locale and >Sysprep further and the Admin Password box is yellow with information set.

I have attached the 2nd pic of this.

Comment 15 Bimal Chollera 2020-06-18 16:27:35 UTC
Created attachment 1697988 [details]
Expanded screen shot.

Comment 16 Sharon Gratch 2020-06-30 05:11:23 UTC
It seems that the validation failure caused by the fact that the "Admin password" is set and "Verify admin password" is empty. You need to set both fields. I guess that cleaning the "Admin password" field will clear the error and enable saving the VM. Can you please approve that? 
We still need to figure out why the "Admin password" field is auto set and why there is no shown error.
Moving that to virt team for further investigation.

Comment 17 Arik 2020-06-30 19:02:36 UTC
Steps to reproduce:
1. Set the browser with something like 'Autofill logins and passwords'
2. Connect to the webadmin via a secured connection (https)
3. Confirm remembering the password on the login screen
4. On new VM dialog the sysprep password will be automatically filled.

This can happen in 4.4 as well.
I guess that's because of the key we use for the sysprep password widget matches that of the password widget in the login screen.

Workaround: disable that "Autofill logins and passwords"

Comment 20 Ivana Saranova 2020-08-19 00:05:44 UTC
Steps to reproduce:
1. Set the browser with something like 'Autofill logins and passwords'
2. Connect to the webadmin via a secured connection (https)
3. Confirm remembering the password on the login screen
4. Check that on the new VM dialog the sysprep password will not be automatically filled.

Results:
Sysprep password is not automatically filled and the creation of Windows VM is successful. Cannot reproduce the issue.

Verified in:
ovirt-engine-4.4.2.2-0.3.el8ev.noarch
firefox-78.0.2-1.fc31.x86_64

Comment 24 errata-xmlrpc 2020-09-23 16:11:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat Virtualization security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3807


Note You need to log in before you can comment on or make changes to this bug.